
QGIS Application - Feature request #12675

Arcs are not displayed from an Oracle spatial layer

2015-04-30 05:49 AM - Rene Mueller

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 20782

Description

All the features (areas and lines) from an Oracle spatial layer containing arcs are not displayed in QGIS 2.8 and earlier. In the attached

picture, all the parcels in Zuerich containing arcs are not displayed.

Associated revisions

Revision 92a80894 - 2018-04-23 11:10 PM - Nyall Dawson

[oracle] Add read-only support for curved geometry types

Previously these geometries were silently discarded

Fixes #12675, #16809

Sponsored by Open Spatial (http://www.openspatial.com)

History

#1 - 2015-04-30 06:55 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

Arcs are currently not supported in QGIS (see also QEP !#8)

#2 - 2015-10-11 07:16 AM - Médéric RIBREUX

Hello,

I think that from QGIS 2.10 there is support for arc/curve geometries.

I think that this feature request is related to the support of curved geometries in the Oracle provider.

Oracle Spatial supports curved geometries (eg: https://docs.oracle.com/cd/B19306_01/appdev.102/b14255/sdo_objrelschema.htm#i1005726 ). The

implementation seems to be different from the postgis one but I think that it would be a great improvement for the Oracle provider to support these

geometries...

Now, it just needs some (perhaps heavy) work to implement it !

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
http://www.openspatial.com
https://github.com/mhugent/QGIS-Enhancement-Proposals/blob/master/QEP-8-geometry_redesign.rst
https://docs.oracle.com/cd/B19306_01/appdev.102/b14255/sdo_objrelschema.htm#i1005726


#4 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#5 - 2018-04-23 11:10 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|92a80894ac5e79e023b7be502afd2b84fec44483.
